> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add subscribers to a ticket

> Add one or more subscribers to an existing ticket.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /tickets/{ticketId}/subscribers
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /tickets/{ticketId}/subscribers:
    post:
      tags:
        - Tickets
      summary: Add subscribers to a ticket
      description: Add one or more subscribers to an existing ticket.
      operationId: addTicketSubscribers
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddTicketSubscribersBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketSubscribersOutput_Output'
components:
  schemas:
    AddTicketSubscribersBody:
      type: object
      properties:
        subscribers:
          minItems: 1
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  type:
                    type: string
                    const: EMPLOYEE
                  employeeId:
                    type: string
                required:
                  - type
                  - employeeId
              - type: object
                properties:
                  type:
                    type: string
                    const: EXTERNAL_ADMIN
                  userId:
                    type: string
                required:
                  - type
                  - userId
      required:
        - subscribers
    TicketSubscribersOutput_Output:
      type: object
      properties:
        subscribers:
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  type:
                    type: string
                    const: EMPLOYEE
                  employeeId:
                    type: string
                required:
                  - type
                  - employeeId
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    const: EXTERNAL_ADMIN
                  userId:
                    type: string
                required:
                  - type
                  - userId
                additionalProperties: false
      required:
        - subscribers
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````